<panel title="progress panel">

  <!-- modal sheet to darken and disable the main game contents -->
  <container class="modal_sheet">
    <layout class="stick_to_sides_attachment" layout="all" inset="0"/>

    <!-- main container -->
    <container id="prgb" width="800" height="510">
      <layout class="arrange_vertical_attachment" alignment="top,extend" offset="0" gap="0"/>
      <layout class="stick_to_sides_attachment" alignment="horizontal" layout_children="true"/>
      <layout class="centre_in_parent_attachment" alignment="all"/>

      <container height="74">
        <layout class="stick_to_sides_attachment" alignment="all" layout_children="true"/>

        <!-- image -->
        <widget class="picture" id="pict" auto_size="vertical" file="processing/bar" cached="true"/>

        <!-- progress bar -->
        <widget class="progress_bar" id="prog" standard_spec="control,small">
          <layout class="stick_to_sides_attachment" alignment="top" inset="12"/>
          <layout class="stick_to_sides_attachment" alignment="horizontal" inset="25"/>
        </widget>
        
        
      </container>

      <!-- hint and vidiprinter parent (so that top,extend arrangement works properly when both may be hidden) -->
      <container id="havp">

        <layout class="stick_to_sides_attachment" alignment="all" inset="0" layout_children="true" />

        <!-- the hint parent container is hidden if the vidiprinter is visible. the height is given by the arrange_vertical_attachment -->
        <container id="hntP" >

          <layout class="stick_to_sides_attachment" alignment="horizontal" inset="20" />
          <layout class="arrange_vertical_attachment" alignment="top" />

          <!-- Hints and Tips dialog -->
          <container id="hntC" class="titled_box" height="160" alignment="left" appearance="boxes/dialog">

            <layout class="stick_to_sides_attachment" alignment="top" inset="100"/>
            <layout class="stick_to_sides_attachment" alignment="horizontal"/>
            <layout class="arrange_vertical_attachment" alignment="top"/>

            <!--<layout class="fit_children_attachment" alignment="vertical,fill"/>-->

            <!-- add custom icon to top right corner of dialog -->
            <widget class="picture" id="cico" file="icons/dialog/hints" auto_size="all" embed_in_frame="true">
              <layout class="stick_to_sides_attachment" alignment="top,right" inset="0" embed_in_frame="true"/>
            </widget>

            <!--this is space for a category title for the hint--> 
						<!--<widget class="text" text="DID YOU KNOW?" auto_size="vertical" spec="title" alignment="right"/>-->
            <widget class="text" id="hint" spec="text" setup_hint_for_overrun="false" alignment="left,centre_y" auto_size="all">
              <layout class="stick_to_sides_attachment" alignment="all" />
            </widget>

          </container>
        </container>

        <!-- the vidiprinter parent container is hidden if the hint panel is visible. the height is given by the arrange_vertical_attachment -->
        <container id="vidP" hidden="true">

          <layout class="stick_to_sides_attachment" alignment="horizontal" inset="20" />
          <layout class="arrange_vertical_attachment" alignment="top" offset="0" gap="0" />

          <!-- vidiprinter -->
          <container id="vidp" class="titled_box" height="380" alignment="left" appearance="boxes/dialog/sitv">

            <layout class="arrange_vertical_attachment" alignment="bottom,extend" offset="0" gap="5" />
            <layout class="stick_to_sides_attachment" alignment="horizontal" inset="0" />

            <container>

              <layout class="arrange_horizontal_attachment" alignment="right,extend" offset="0" gap="10" />
              <layout class="stick_to_sides_attachment" alignment="horizontal" inset="0" />

              <!-- add custom icon to top right corner of dialog -->
              <widget class="picture" id="cico" auto_size="all" embed_in_frame="true">
                <layout class="stick_to_sides_attachment" alignment="top,right" inset="0" embed_in_frame="true"/>
              </widget>

              <!-- the vidiprinter table -->
              <widget class="table" id="vidt" mode="fill_rows, stripe_rows" layout="50,-1">
                <layout class="stick_to_sides_attachment" alignment="bottom" inset="0" />

                <boolean id="auto_size_rows" value="true" />
                <boolean id="fixed_size_rows" value="false" />
                <boolean id="stretch_to_fit_rows" value="true" />
                <boolean id="force_hide_scrollbar" value="true" />

                <list id="column_properties">
                  <record index="0" alignment="centre_x,centre_y" spec="text" auto_size="all" />
                  <record index="1" alignment="left,centre_y" spec="text" auto_size="vertical" />
                </list>

                <list id="column_display_properties">
                  <record index="0" left="4" top="4" bottom="4" right="4" sort_disabled="true" />
                  <record index="1" left="4" top="4" bottom="4" right="4" sort_disabled="true" />
                </list>

              </widget>

              <widget class="table" id="inft" mode="0" layout="-1,70" width="210">
                <layout class="stick_to_sides_attachment" alignment="vertical" inset="0" />

                <boolean id="auto_size_rows" value="false" />
                <boolean id="fixed_size_rows" value="true" />
                <boolean id="stretch_to_fit_rows" value="false" />
                <boolean id="force_hide_scrollbar" value="true" />

                <!-- properties assigned to all widgets in the columns -->
                <list id="column_properties">
                  <record index="0" alignment="left,centre_y" />
                  <record index="1" alignment="right,centre_y" colour="selection" />
                </list>

                <!-- properties for the column display mode -->
                <list id="column_display_properties">
                  <record index="0" left="4" sort_disabled="true" />
                  <record index="0" right="4" sort_disabled="true" />
                </list>

              </widget>

            </container>

            <!-- cancel button -->
            <widget class="icon_button_dialog" id="canc" text="Cancel" auto_size="all" hidden="true" icon="icons/button/cancel" show_border="true">
              <layout class="stick_to_sides_attachment" alignment="right" inset="0"/>
            </widget>

          </container>
          <!-- vidiprinter -->

        </container>

      </container>
      <!-- hint and vidiprinter parent -->
    </container>

  </container>

</panel>
